Bug 1651347 - Amazon API filter limit breaks targeted refresh for more than 200 items
Summary: Amazon API filter limit breaks targeted refresh for more than 200 items
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.6
Assignee: Ladislav Smola
QA Contact: Matouš Mojžíš
Red Hat CloudForms Documentation
URL:
Whiteboard: provider:ec2
Depends On: 1612086
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 18:43 UTC by Satoe Imaishi
Modified: 2018-12-13 15:16 UTC (History)
8 users (show)

Fixed In Version: 5.9.6.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1612086
Environment:
Last Closed: 2018-12-13 15:16:02 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3816 None None None 2018-12-13 15:16:08 UTC

Comment 2 CFME Bot 2018-11-19 19:57:02 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/83cbdd26dbf0bc6e1d4891025c9ab2fc91866bcd
commit 83cbdd26dbf0bc6e1d4891025c9ab2fc91866bcd
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Fri Aug  3 10:51:50 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Fri Aug  3 10:51:50 2018 -0400

    Merge pull request #472 from Ladas/deal_with_amazon_filter_limit

    Deal with amazon filter limit

    (cherry picked from commit 2b48af4225eb978b44c8ef6b65893a7b9d2aa395)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1651347

 app/models/manageiq/providers/amazon/inventory/collector.rb | 9 +
 app/models/manageiq/providers/amazon/inventory/collector/cloud_manager.rb | 11 +-
 app/models/manageiq/providers/amazon/inventory/collector/target_collection.rb | 100 +-
 spec/models/manageiq/providers/amazon/cloud_manager/vcr_specs/targeted_refresh_spec.rb | 33 +
 spec/vcr_cassettes/manageiq/providers/amazon/cloud_manager/refresher_targeted/more_than_400_images.yml | 16295 +
 5 files changed, 16404 insertions(+), 44 deletions(-)

Comment 4 Matouš Mojžíš 2018-12-04 12:59:30 UTC
Verified in 5.9.6.3. 
Enable public images -> refresh ec2 provider -> disable public images -> refresh ec2 provider is working correctly.

Comment 6 errata-xmlrpc 2018-12-13 15:16:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3816


Note You need to log in before you can comment on or make changes to this bug.